"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DELETE_EVENT_LOGS = exports.DELETE_AUDIT_LOG_MUTATION = void 0;
const apollo_boost_1 = require("apollo-boost");
exports.DELETE_AUDIT_LOG_MUTATION = (0, apollo_boost_1.gql) `
mutation deleteAuditLog($timeStamp: timestamptz) {
    delete_audit_log(where: {updated_on: {_lt: $timeStamp}}) {
      affected_rows
    }
}
`;
exports.DELETE_EVENT_LOGS = `
DELETE FROM hdb_catalog.event_invocation_logs
WHERE created_at < now() - interval '2 months';

DELETE FROM hdb_catalog.event_log
WHERE (delivered = true OR error = true)
 AND created_at < now() - interval '2 months';
 
DELETE FROM hdb_catalog.hdb_cron_events
WHERE status IN ('delivered', 'error', 'dead')
  AND created_at < now() - interval '2 months';
`;
